Bug 1132405 - Allow compute resources to have spaces in the name
Summary: Allow compute resources to have spaces in the name
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Shlomi Zadok
QA Contact: Corey Welton
URL: http://projects.theforeman.org/issues...
Whiteboard: Verified in Upstream
Depends On:
Blocks: 1132363
TreeView+ depends on / blocked
 
Reported: 2014-08-21 09:53 UTC by Stephen Benjamin
Modified: 2019-09-25 20:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 09:10:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1501 normal SHIPPED_LIVE Red Hat Satellite 6.2 Capsule and Server 2016-07-27 12:28:58 UTC
Foreman Issue Tracker 7192 None None None 2016-04-22 16:15:29 UTC

Description Stephen Benjamin 2014-08-21 09:53:44 UTC
Description of problem:
Compute Resources are not allowed to have white space in their names, which is inconsistent with names of other resources.

Version-Release number of selected component (if applicable):
6.0.3

Comment 1 Stephen Benjamin 2014-08-21 09:54:38 UTC
Created redmine issue http://projects.theforeman.org/issues/7192 from this bug

Comment 2 RHEL Product and Program Management 2014-08-21 10:13:25 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 4 Bryan Kearney 2015-08-25 18:07:03 UTC
Upstream bug component is Compute Resources

Comment 5 Bryan Kearney 2015-11-26 17:00:53 UTC
Upstream bug assigned to szadok@redhat.com

Comment 6 Bryan Kearney 2015-11-30 13:00:56 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/7192 has been closed
-------------
Shlomi Zadok
Applied in changeset commit:4ba69d059531f8243bee5d3b01488e24dc4bcf88.

Comment 7 Bryan Kearney 2015-12-09 13:41:04 UTC
moving fixed intems into 6.2

Comment 9 Tazim Kolhar 2015-12-18 12:24:41 UTC
*** This bug is verified in upstream.  This fix should eventually land in future downstream builds ***
Version Tested:

 rpm -qa | grep foreman
tfm-rubygem-foreman_discovery-4.1.2-1.fm1_11.el7.noarch
tfm-rubygem-foreman_hooks-0.3.9-1.el7.noarch
foreman-debug-1.11.0-0.develop.201512111432git98f6ca5.el7.noarch
tfm-rubygem-hammer_cli_foreman_docker-0.0.3-4.el7.noarch
foreman-ovirt-1.11.0-0.develop.201512111432git98f6ca5.el7.noarch
foreman-postgresql-1.11.0-0.develop.201512111432git98f6ca5.el7.noarch
foreman-release-scl-1-1.el7.x86_64
foreman-vmware-1.11.0-0.develop.201512111432git98f6ca5.el7.noarch
tfm-rubygem-foreman_gutterball-0.0.1-3.el7.noarch
foreman-gce-1.11.0-0.develop.201512111432git98f6ca5.el7.noarch
dell-per300-01.rhts.eng.bos.redhat.com-foreman-proxy-client-1.0-1.noarch
foreman-release-1.11.0-0.develop.201512111432git98f6ca5.el7.noarch
tfm-rubygem-hammer_cli_foreman_tasks-0.0.8-1.el7.noarch
foreman-1.11.0-0.develop.201512111432git98f6ca5.el7.noarch
tfm-rubygem-foreman_docker-1.4.1-2.fm1_10.el7.noarch
foreman-libvirt-1.11.0-0.develop.201512111432git98f6ca5.el7.noarch
dell-per300-01.rhts.eng.bos.redhat.com-foreman-client-1.0-1.noarch
dell-per300-01.rhts.eng.bos.redhat.com-foreman-proxy-1.0-2.noarch
tfm-rubygem-hammer_cli_foreman-0.4.0-1.201512101420git81ec371.el7.noarch
foreman-compute-1.11.0-0.develop.201512111432git98f6ca5.el7.noarch
tfm-rubygem-foreman-tasks-0.7.6-1.fm1_10.el7.noarch
foreman-selinux-1.11.0-0.develop.201510071426git6234447.el7.noarch
tfm-rubygem-hammer_cli_foreman_bootdisk-0.1.3-3.el7.noarch
tfm-rubygem-foreman_bootdisk-6.0.0-2.fm1_10.el7.noarch
foreman-proxy-1.11.0-0.develop.201512101505git62c9e22.el7.noarch

steps:
create a compute resource with spaces in names

Compute resource created

Comment 13 errata-xmlrpc 2016-07-27 09:10:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.